[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TCollectionItemClass

Class reference for TCollectionItem.

## Declaration

Source position: classesh.inc line 518

`type TCollectionItemClass = class of TCollectionItem;`

## Description

TCollectionItemClass is used by the TCollection.ItemClass property of TCollection to identify the descendent class of TCollectionItem which should be created and managed.

## See also

TCollectionItem |  | Basic object that is managed by a TCollection class.
TCollection.ItemClass |  | Class pointer for each item in the collection.

Documentation generated on: Feb 26 2014